GET
/api/v2/goals/{uuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v2/goals/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"uuid": "bbd0d238-c3ea-4b97-acf3-14a39bddb543",
"created_at": "2026-07-20T11:19:00+01:00",
"updated_at": "2026-07-20T11:19:00+01:00",
"name": "Reduced Mileage",
"description": "Reduce the amount of gas spent yearly.",
"target_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"progress": "68",
"timeframe": "Within the year.",
"complete_goal_by": "2027-07-20T11:19:00+01:00",
"priority": "4",
"shared_owner_type": "individual",
"shared_owner": {
"uuid": "16ee1419-392a-4497-bc97-85d01f503a79",
"created_at": "2026-07-20T11:19:00+01:00",
"updated_at": "2026-07-20T11:19:00+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "f1cc3295-0ce7-4abe-ad92-79fb8bc3ffc0",
"created_at": "2026-07-20T11:19:07+01:00",
"updated_at": "2026-07-20T11:19:07+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "865f02c3-14d3-4c5d-86e5-344b66cd02a6",
"created_at": "2026-07-20T11:19:07+01:00",
"updated_at": "2026-07-20T11:19:07+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "865f02c3-14d3-4c5d-86e5-344b66cd02a6",
"created_at": "2026-07-20T11:19:07+01:00",
"updated_at": "2026-07-20T11:19:07+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "62fba806-470e-43ca-9492-491bcee81524",
"created_at": "2026-07-20T11:19:07+01:00",
"updated_at": "2026-07-20T11:19:07+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-07-20T10:29:07+01:00",
"end_date": "2026-07-20T10:57:07+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "3edd3766-14c4-41d0-bedb-9f4d0738d810",
"created_at": "2026-07-20T11:19:07+01:00",
"updated_at": "2026-07-20T11:19:07+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-20T11:19:07+01:00",
"next_review_date": "2026-07-20T11:19:07+01:00",
"previous_review_date": "2026-07-20T11:19:07+01:00",
"anniversary_review_date": "2026-07-20T11:19:07+01:00",
"terms_of_business_at": "2026-07-20T11:19:07+01:00",
"client_agreement_at": "2026-07-20T11:19:07+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-20",
"last_interaction_at": "2026-07-20 11:19:07",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_administrator": {
"uuid": "3edd3766-14c4-41d0-bedb-9f4d0738d810",
"created_at": "2026-07-20T11:19:07+01:00",
"updated_at": "2026-07-20T11:19:07+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-20T11:19:07+01:00",
"next_review_date": "2026-07-20T11:19:07+01:00",
"previous_review_date": "2026-07-20T11:19:07+01:00",
"anniversary_review_date": "2026-07-20T11:19:07+01:00",
"terms_of_business_at": "2026-07-20T11:19:07+01:00",
"client_agreement_at": "2026-07-20T11:19:07+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-20",
"last_interaction_at": "2026-07-20 11:19:07",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_paraplanner": {
"uuid": "3edd3766-14c4-41d0-bedb-9f4d0738d810",
"created_at": "2026-07-20T11:19:07+01:00",
"updated_at": "2026-07-20T11:19:07+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-20T11:19:07+01:00",
"next_review_date": "2026-07-20T11:19:07+01:00",
"previous_review_date": "2026-07-20T11:19:07+01:00",
"anniversary_review_date": "2026-07-20T11:19:07+01:00",
"terms_of_business_at": "2026-07-20T11:19:07+01:00",
"client_agreement_at": "2026-07-20T11:19:07+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-20",
"last_interaction_at": "2026-07-20 11:19:07",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"introduced_by": {
"uuid": "3edd3766-14c4-41d0-bedb-9f4d0738d810",
"created_at": "2026-07-20T11:19:07+01:00",
"updated_at": "2026-07-20T11:19:07+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-20T11:19:07+01:00",
"next_review_date": "2026-07-20T11:19:07+01:00",
"previous_review_date": "2026-07-20T11:19:07+01:00",
"anniversary_review_date": "2026-07-20T11:19:07+01:00",
"terms_of_business_at": "2026-07-20T11:19:07+01:00",
"client_agreement_at": "2026-07-20T11:19:07+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-20",
"last_interaction_at": "2026-07-20 11:19:07",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"business_unit": {
"uuid": "3c1c2446-8516-4575-854f-65c24c445c0e",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-07-20T11:19:07+01:00",
"updated_at": "2026-07-20T11:19:07+01:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-07-20T11:19:07+01:00",
"updated_at": "2026-07-20T11:19:07+01:00"
},
"tags": {
"uuid": "e9141b6c-b111-494a-8630-3d741b919872",
"created_at": "2026-07-20T11:19:07+01:00",
"updated_at": "2026-07-20T11:19:07+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"owners": {
"uuid": "3edd3766-14c4-41d0-bedb-9f4d0738d810",
"created_at": "2026-07-20T11:19:07+01:00",
"updated_at": "2026-07-20T11:19:07+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-20T11:19:07+01:00",
"next_review_date": "2026-07-20T11:19:07+01:00",
"previous_review_date": "2026-07-20T11:19:07+01:00",
"anniversary_review_date": "2026-07-20T11:19:07+01:00",
"terms_of_business_at": "2026-07-20T11:19:07+01:00",
"client_agreement_at": "2026-07-20T11:19:07+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-20",
"last_interaction_at": "2026-07-20 11:19:07",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"first_contact_date": "2026-07-20T11:19:00+01:00",
"next_review_date": "2026-07-20T11:19:00+01:00",
"previous_review_date": "2026-07-20T11:19:00+01:00",
"anniversary_review_date": "2026-07-20T11:19:00+01:00",
"terms_of_business_at": "2026-07-20T11:19:00+01:00",
"client_agreement_at": "2026-07-20T11:19:00+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "9a2262da-ad90-4be5-8d1d-170d0102c474",
"created_at": "2026-07-20T11:19:07+01:00",
"updated_at": "2026-07-20T11:19:07+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-07-20T11:19:07+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "3b558918-e45e-4a0e-a520-26bb18c4d95f",
"login_access_level": "write",
"current_life_stage_uuid": "7ec2e0ff-9282-4c91-a1f8-bd43d562cd04"
},
"circles": {
"uuid": "9a2262da-ad90-4be5-8d1d-170d0102c474",
"created_at": "2026-07-20T11:19:07+01:00",
"updated_at": "2026-07-20T11:19:07+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-07-20T11:19:07+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "3b558918-e45e-4a0e-a520-26bb18c4d95f",
"login_access_level": "write",
"current_life_stage_uuid": "7ec2e0ff-9282-4c91-a1f8-bd43d562cd04"
},
"ownership_percentage": 100,
"inactive_at": "2026-07-20",
"last_interaction_at": "2026-07-20 11:19:00",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": {
"uuid": null,
"created_at": "2026-07-20T11:19:07+01:00",
"updated_at": "2026-07-20T11:19:07+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "cd6060ae-aaea-4c72-aeb4-3733aa9dd50e",
"created_at": "2026-07-20T11:19:07+01:00",
"updated_at": "2026-07-20T11:19:07+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
}